
Redmine - Feature #5204

Issue "#" table cells should have a class attribute to enable fine-grained CSS theme

2010-03-29 11:39 - Gareth Sylvester-Bradley

Status: Closed Start date: 2010-03-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed   

Description

I have created a custom theme CSS that colours most elements with class="issue" according to the presence of closed, status-N and

priority-M classes. (See below.)

I'd really like to be able to colour the "#" column of the Issues tables similarly. (I don't want to colour the whole row, that's too much.)

Unfortunately, this is the only column in the table which has no class attribute!

Please would it be possible to add a class to these <td>...</td> elements? Thanks!

@import url(../../../stylesheets/application.css);

/* Issues background-color by closed/openness and priority */

tr.issue.priority-1 td:first-child, div.issue.priority-1, a.issue.priority-1 { background-color: #

dacaca; } /* Low */

tr.issue.priority-2 td:first-child, div.issue.priority-2, a.issue.priority-2 { background-color: #

dababa; } /* Normal */

tr.issue.priority-3 td:first-child, div.issue.priority-3, a.issue.priority-3 { background-color: #

daaaaa; } /* High */

tr.issue.priority-4 td:first-child, div.issue.priority-4, a.issue.priority-4 { background-color: #

da9090; } /* Urgent */

tr.issue.priority-5 td:first-child, div.issue.priority-5, a.issue.priority-5 { background-color: #

da8a8a; } /* Immediate */

tr.issue.priority-1.closed td:first-child, div.issue.priority-1.closed, a.issue.priority-1.closed 

{ background-color: #EEFFE1; }

tr.issue.priority-2.closed td:first-child, div.issue.priority-2.closed, a.issue.priority-2.closed 

{ background-color: #CCFFBB; }

tr.issue.priority-3.closed td:first-child, div.issue.priority-4.closed, a.issue.priority-4.closed 

{ background-color: #C0FFB2; }

tr.issue.priority-4.closed td:first-child, div.issue.priority-5.closed, a.issue.priority-5.closed 

{ background-color: #ADFFA4; }

tr.issue.priority-5.closed td:first-child, div.issue.priority-6.closed, a.issue.priority-6.closed 

{ background-color: #A0FF9D; }

Associated revisions

Revision 3625 - 2010-03-29 21:50 - Jean-Philippe Lang

Adds a css class to issue id tds (#5204).

History

#1 - 2010-03-29 11:42 - Gareth Sylvester-Bradley

(Eagle-eyed readers will note I slightly mucked up the CSS in the above when trying to cut out the extra priority that I added on my Redmine instance.

Sorry.)

#2 - 2010-03-29 21:48 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed
Done in r3625, class="id" added.

#3 - 2010-03-31 21:07 - Gareth Sylvester-Bradley

Hi Jean-Philippe, thanks, that does just what I need!

Would it be appropriate to post my CSS/theme as another example at HowTo create a custom Redmine theme when I've tidied it up?

Best regards, Gareth

#4 - 2010-04-11 16:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/3625
https://www.redmine.org/projects/redmine/wiki/HowTo_create_a_custom_Redmine_theme
